package comparator._1_old;

import java.util.Comparator;

import comparator.test.common.bean.Customer;

/**
 * Beispiel fr einen {@link Comparator}
 * in alter Vorgehensweise.
 * 
 * @author Heiner K&uuml;cker
 */
public class OldComparator
{
    /**
     * Beispiel-Methode mit blichem {@link Comparator}.
     * 
     * @param args unused
     */
    public static void main(
            final String args )
    {
        final Comparator<Customer> comparator =
                new Comparator<Customer>()
                {
                    @Override
                    public int compare(
                            final Customer c1 ,
                            final Customer c2 )
                    {
                        return c1.getSurName().compareTo(
                                c2.getSurName() );
                    }
                };

    }

}
