package comparator.test.common.bean;

import java.util.Date;

import comparator.util.Getter;

/**
 * Beispiel Bean Kunde.
 * 
 * @author Heiner K&uuml;cker
 */
public final class Customer
{
    /**
     * Vorname.
     */
    private String preName;

    /**
     * Nachname.
     */
    private String surName;

    /**
     * Geburtsdatum,
     */
    private Date birth;

    /**
     * @return the preName
     */
    public String getPreName()
    {
        return this.preName;
    }

    /**
     * @param preName the preName to set
     */
    public void setPreName(
            final String preName )
    {
        this.preName = preName;
    }

    /**
     * @return the surName
     */
    public String getSurName()
    {
        return this.surName;
    }

    /**
     * @param surName the surName to set
     */
    public void setSurName(
            final String surName )
    {
        this.surName = surName;
    }

    /**
     * @return the birth
     */
    public Date getBirth()
    {
        return this.birth;
    }

    /**
     * @param birth the birth to set
     */
    public void setBirth(
            final Date birth )
    {
        this.birth = birth;
    }

    /**
     * Getter fr die Property {@link #getPreName()}
     */
    public static final Getter<Customer, String> PRE_NAME_GETTER =
            new Getter<Customer, String>()
            {
                @Override
                public String get(
                        final Customer bean )
                {
                    return bean.getPreName();
                }
            };

    /**
     * Getter fr die Property {@link #getSurName()}
     */
    public static final Getter<Customer, String> SUR_NAME_GETTER =
            new Getter<Customer, String>()
            {
                @Override
                public String get(
                        final Customer bean )
                {
                    return bean.getSurName();
                }
            };

    /**
     * Getter fr die Property {@link #getBirth()}
     */
    public static final Getter<Customer, Date> BIRTH_GETTER =
            new Getter<Customer, Date>()
            {
                @Override
                public Date get(
                        final Customer bean )
                {
                    return bean.getBirth();
                }
            };        

}
