package comparator.test.common;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import comparator._2_accessor.AccessorComparatorTest;
import comparator._3_property.PropertyComparatorTest;
import comparator._4_null_safe.NullIsLesserComparatorDecoratorTest;

/**
 * JUnit4-Testsuite fr die verbesserten Comparatoren.
 * 
 * @author Heiner K&uuml;cker
 */
@RunWith( Suite.class )
@SuiteClasses( {
    AccessorComparatorTest.class ,
    PropertyComparatorTest.class ,
    NullIsLesserComparatorDecoratorTest.class
} )
public class ComparatorTestSuite
{
    // no implementation
}
