package comparator.util;

/**
 * Property-Accessor zum Zugriff
 * auf die property einer Bean, 
 * kombiniert aus {@link Getter}
 * und {@link Setter}.
 * 
 * @param <B> Type-Parameter, Typ der Bean
 * @param <P> Type-Parameter, Typ der Property
 * @author Heiner K&uuml;cker
 */
public interface Accessor<B, P>
extends Getter<B, P> , Setter<B, P>
{
    // empty block
}
